## octave 3.4.3

=== debian/changelog ===
octave (3.4.3-1) experimental; urgency=low

  [ Thomas Weber ]
  * New upstream release (closes: #641246, #618692, #619519)
    - Remove emacsen package stuff.  Octave no longer provides these files.
    - Completely revamp debian/rules for debhelper 7.  Bump compat level to 7
      for that.
    - Completely revamp packaging to properly support public libraries
      (Closes: #510579).
  * Remove 50_octave-bug-tempfile.diff, Octave switched its bug tracking
    system to a web based one.
  * Removed patches (applied upstream):
      - avoid-implicit-conversion
      - clear_symbol_table
      - drop_old_curl_header
      - filter_empty_vector
      - fix-interp2
      - fix_relative_addpath
      - fixes-for-gcc-4.6
      - handle_new_graphicsmagic
      - scale_image_point_color
  * New patches:
    - drop_version_from_pkg_function_calls
    - enable_dirs_in_pkg
    - drop_versioned_binarys
    - install_libraries_publically
    - add_info_dir_categories.  Add categories to Octave's info files (thanks
      lintian).
    - New patch: correct_typos.  Correct some spelling mistakes
  * Build Octave with OpenMP support (Closes: #631831)
  * Only allow the serial HDF5 library when building.
    Drop patch include_mpi_headers as well, as it was only needed for the
    HDF5 libraries with MPI support. (Closes: #601511)
  * Switch to dpkg-source 3.0 (quilt) format
  * Disable the rpath when calling ./configure
    +1 for making Lintian happy
  * Add doc-base files for the PDF documentation in the octave-doc package.
  * Use the gl2ps system library packaged in Debian.
     - Remove gl2ps symbols from the symbol file
     - Build-depend on libgl2ps-dev
     - Patch Octave for this change with patches/use_system_gl2ps
  * Override the Lintian warning about license.m
  * Change defs.make file for new directory structure.
    We put external .m and .oct files in directories without any API or
    version information.

  [ Sébastien Villemot ]
  * Add Conflicts with octave3.2* packages
  * debian/source/options: exclude various regenerated files from source diff

 -- Thomas Weber <tweber@debian.org>  Sun, 18 Dec 2011 21:18:17 +0100

octave3.2 (3.2.4-12) unstable; urgency=low

  [ Colin Watson ]
  * New patch: clear_symbol_table: Clean up top-level variables when exiting
    Octave (closes: #628353, LP: #831157).

 -- Thomas Weber <tweber@debian.org>  Mon, 12 Sep 2011 10:36:00 +0200

octave3.2 (3.2.4-11) unstable; urgency=low

  * New patch: drop_old_curl_header: curl no longer ships types.h (closes:
    #637787) 
  * Add lintian override for usage of install-info; this is a temporary
    measure.

 -- Thomas Weber <tweber@debian.org>  Wed, 17 Aug 2011 22:18:47 +0200

octave3.2 (3.2.4-10) unstable; urgency=low

  * New patches
    - fixes-for-gcc-4.6: GCC 4.6 no longer includes the headers that defined
    size_t automatically; and it doesn't like 'inline' in explicit
    instantiations either (closes: #624960). The latter bug isn't mentioned in
    the bug report, but was seen once the first bug was fixed. Thanks to Orion
    Poplawski from Fedora for the original patch.
    - avoid-implicit-conversion: explicitly convert strings to numbers
    (closes: 603046). Thanks to Kim Hansen for the patch.

 -- Thomas Weber <tweber@debian.org>  Sun, 15 May 2011 08:21:49 +0200

octave3.2 (3.2.4-9) unstable; urgency=low

  * debian/in/control: Give an explicit package name as preference for the
    virtual build-dependency on libcurl4-dev (closes: #618139).
  * Re-introduce debug packages for mips and mipsel (closes: #572407).

 -- Thomas Weber <tweber@debian.org>  Sun, 27 Mar 2011 11:17:42 +0200

octave3.2 (3.2.4-8) unstable; urgency=low

  * New patch: include_mpi_headers, includes /usr/include/mpi by default when
    using mkoctfile (closes: #598227)

 -- Thomas Weber <tweber@debian.org>  Mon, 25 Oct 2010 21:44:40 +0200

octave3.2 (3.2.4-7) unstable; urgency=low

  * New patch: fix_relative_addpath command (closes: #592517)
  * Drop libgl1-mesa-swx11-dev and libglu1-mesa-dev from build-dependencies.
    They are already pulled in by other packages, so we don't need to force
    specific versions of Mesa (closes: #591333).

 -- Thomas Weber <tweber@debian.org>  Sun, 29 Aug 2010 17:34:45 +0200

octave3.2 (3.2.4-6) unstable; urgency=low

  * New patch: scale_image_point_color, scale image point color (closes:
    #581998)

 -- Thomas Weber <tweber@debian.org>  Mon, 24 May 2010 20:04:31 +0200

octave3.2 (3.2.4-5) unstable; urgency=low

  * New patch: fix-interp2; fixes wrong bicubic interpolation, triggered by
    octave-image's test suite (closes: #582276)

 -- Thomas Weber <tweber@debian.org>  Fri, 21 May 2010 23:25:14 +0200

octave3.2 (3.2.4-4) unstable; urgency=low

  * Rebuild and bump build-depends on libblas-dev to (>= 1.2.-7) and on
    liblapack-dev to (>= 3.2.1-7) to pick up the new alternatives
    configuration in the BLAS libraries (closes: #576812).

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 12 Apr 2010 23:22:49 +0200

octave3.2 (3.2.4-3) unstable; urgency=low

  * debian/control: Remove Rafael Laboissiere from Uploaders (closes: #571833,
    #571835)
  * debian/in/control: Compile without debug symbols on mips and mipsel
    (closes: #570771). This means we ship with an almost empty -dbg package on
    these architectures.
  * New patch: handle_new_graphicsmagic, allows building with graphicsmagic >
    1.3.8. Thanks to John Eaton for the patch.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 04 Mar 2010 01:50:32 +0100

octave3.2 (3.2.4-2) unstable; urgency=low

  * New patch: filter_empty_vector; let filter() handle empty vectors (closes:
    #567975). Thanks to John Eaton for the patch

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 17 Feb 2010 20:58:54 +0100

octave3.2 (3.2.4-1) unstable; urgency=low

  * New upstream release 
  * debian/control: Build against new hdf5 version (closes: #567057)
  * Drop patch fix-lsode-in-octave3.2.diff, applied upstream


