=== debian/control ===
Source: octave
Section: math
Priority: extra
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: gfortran, debhelper (>= 7.0.50~), automake, dh-autoreconf, texinfo,
 texlive-latex-base, texlive-generic-recommended, epstool, transfig, pstoedit,
 libreadline-dev | libreadline6-dev | libreadline5-dev,
 libncurses5-dev, gperf, libhdf5-serial-dev (>= 1.8.4),
 libblas-dev (>=1.2-7), liblapack-dev (>=3.2.1-7), gnuplot-nox, libfftw3-dev, texi2html,
 less, quilt, libpcre3-dev, flex, libglpk-dev (>= 4.15),
 libsuitesparse-dev (>= 1:3.2.0), gawk, ghostscript, libcurl4-gnutls-dev | libcurl4-dev,
 libqhull-dev, desktop-file-utils, libfltk1.1-dev, libgl2ps-dev,
 libgraphicsmagick++1-dev, libftgl-dev, libfontconfig1-dev,
 libqrupdate-dev, libarpack2-dev (>= 2.1+parpack96.dfsg-2)
Standards-Version: 3.8.4
Homepage: http://www.octave.org/
Vcs-Git: git://git.debian.org/git/pkg-octave/octave.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave.git

Package: octave
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, texinfo, octave-common (= ${source:Version})
Recommends: gnuplot, libatlas3gf-base
Suggests: octave-info,
 octave-doc,
 octave-htmldoc,
Conflicts: octave3.2
Description: GNU Octave language for numerical computations
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave can be dynamically extended with user-supplied C++ files.

Package: octave-dbg
Section: debug
Architecture: any
Depends: octave (=${binary:Version}), ${misc:Depends}
Description: Debug symbols for octave
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave can be dynamically extended with user-supplied C++ files.
 .
 This package provides the debug symbols.

Package: octave-common
Depends: ${misc:Depends}
Architecture: all
Description: architecture-independent files for octave
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave can be dynamically extended with user-supplied C++ files.
 .
 This package provides the architecture-independent files (Octave scripts
 and other helper files).

Package: octave-doc
Depends: ${misc:Depends}
Architecture: all
Section: doc
Suggests: octave, xpdf | pdf-viewer
Description: PDF documentation on the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the following documentation in PDF format:
 the FAQ, a reference card in a4, letter and legal formats, a document on the
 C++ classes used by Octave, as well as the main octave documentation which
 is also included in info format in the octave-info package.

Package: octave-htmldoc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Suggests: octave, lynx-cur | www-browser
Description: HTML documentation on the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the following documentation in html format:
 the FAQ, a document on the C++ classes used by Octave, as well as the main
 octave documentation which is also included in info format in the main
 Octave package.

Package: octave-info
Architecture: all
Depends: info, ${misc:Depends}
Conflicts: octave3.2-info
Section: doc
Description: GNU Info documentation on the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the following documentation in info format:
 the FAQ, a document on the C++ classes used by Octave, as well as the main
 octave documentation which is needed for the 'help -i foo' command within
 Octave.

Package: liboctave0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Description: Shared libraries of the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the shared libraries used by the interpreter.

Package: liboctave-dev
Architecture: any
Depends: liboctave0 (= ${binary:Version}), octave (= ${binary:Version}), ${misc:Depends},
 libreadline-dev | libreadline6-dev | libreadline5-dev, libncurses5-dev,
 libhdf5-serial-dev (>= 1.8.4), 
 libblas-dev (>=1.2-7), liblapack-dev (>=3.2.1-7), libfftw3-dev, gfortran, gcc, g++
Conflicts: octave3.2-headers
Section: libdevel
Description: Development files for the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the header files and the mkoctfile script used for
 extending Octave via compiled code.
