## octave 3.6.1

=== debian/changelog ===
octave (3.6.1-4) unstable; urgency=low

  * debian/rules: remove the +x bit of .oct files after dh_shlibdeps, in order
    to generate correct shlib dependencies

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 12 Mar 2012 13:05:01 +0000

octave (3.6.1-3) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/octave.docs: Include useful documentation files into the octave
    package

  [ Sébastien Villemot ]
  * Add dependency of octave on dpkg-dev (Closes: #663088)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 09 Mar 2012 10:13:28 +0100

octave (3.6.1-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * Bump to dehelper compat level 9. Convert to multi-arch by the way.
  * debian/octave-common.links: no longer hardcode upstream version number
  * Bump to Standards-Version 3.9.3
  * Add myself to Uploaders
  * debian/octave.postrm: fix piuparts uninstallation error

  [ Jordi Gutiérrez Hermoso ]
  * Style fixes: untabify and use [~, foo] = bar() idiom

 -- Thomas Weber <tweber@debian.org>  Wed, 07 Mar 2012 19:31:24 +0100

octave (3.6.1-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Add Replaces: octave3.2* fields, in order to help the apt resolver
  * Remove use_system_arpack patch, applied upstream
  * Rename liboctave0 to liboctave1 to reflect the SOVERSION bump

  [ Thomas Weber ]
  * New upstream release 3.6.1

 -- Thomas Weber <tweber@debian.org>  Fri, 24 Feb 2012 21:24:53 +0100

octave (3.4.3-4) experimental; urgency=low

  * Remove all symbols files and use shlibs for library versioning.

 -- Thomas Weber <tweber@debian.org>  Tue, 07 Feb 2012 20:43:39 +0100

octave (3.4.3-3) experimental; urgency=low

  [ Thomas Weber ]
  * Adapt debian/symbols files, it should work on sparc now.

  [ Sébastien Villemot ]
  * Change dependency libhdf5-serial-dev => libhdf5-dev

 -- Thomas Weber <tweber@debian.org>  Sun, 29 Jan 2012 12:28:00 +0100

octave (3.4.3-2) experimental; urgency=low

  [ Sébastien Villemot ]
  * New patch: drop_version_from_mkoctfile_function_call
  * New patch: use_system_arpack
  * debian/control: make liboctave-dev depend on libgl1-mesa-dev | libgl-dev

  [ Thomas Weber ]
  * Update the debian/symbols file to work on ia64; this includes splitting it
    into a 32/64 bit part and three different files for the implementation of
    va_list

 -- Thomas Weber <tweber@debian.org>  Wed, 18 Jan 2012 19:22:52 +0100
