=== debian/control ===
--- 
+++ 
@@ -2,31 +2,35 @@
 Section: math
 Priority: extra
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>
+Uploaders: Thomas Weber <tweber@debian.org>,
+           Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
-Build-Depends: gfortran, debhelper (>= 7.0.50~), automake, dh-autoreconf, texinfo,
+Build-Depends: gfortran, debhelper (>= 9), automake, dh-autoreconf, texinfo,
  texlive-latex-base, texlive-generic-recommended, epstool, transfig, pstoedit,
  libreadline-dev | libreadline6-dev | libreadline5-dev,
- libncurses5-dev, gperf, libhdf5-serial-dev (>= 1.8.4),
+ libncurses5-dev, gperf, libhdf5-dev (>= 1.8.8),
  libblas-dev (>=1.2-7), liblapack-dev (>=3.2.1-7), gnuplot-nox, libfftw3-dev, texi2html,
  less, quilt, libpcre3-dev, flex, libglpk-dev (>= 4.15),
  libsuitesparse-dev (>= 1:3.2.0), gawk, ghostscript, libcurl4-gnutls-dev | libcurl4-dev,
  libqhull-dev, desktop-file-utils, libfltk1.1-dev, libgl2ps-dev,
  libgraphicsmagick++1-dev, libftgl-dev, libfontconfig1-dev,
- libqrupdate-dev, libarpack2-dev (>= 2.1+parpack96.dfsg-2)
-Standards-Version: 3.8.4
+ libqrupdate-dev, libarpack2-dev (>= 2.1+parpack96.dfsg-2), dh-exec,
+ dpkg-dev (>= 1.16.1)
+Standards-Version: 3.9.3
 Homepage: http://www.octave.org/
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave.git
 
 Package: octave
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, texinfo, octave-common (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, texinfo, octave-common (= ${source:Version}),
+ dpkg-dev (>= 1.16.0)
 Recommends: gnuplot, libatlas3gf-base
 Suggests: octave-info,
  octave-doc,
  octave-htmldoc,
 Conflicts: octave3.2
+Replaces: octave3.2
 Description: GNU Octave language for numerical computations
  Octave is a (mostly Matlab (R) compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
@@ -94,6 +98,7 @@
 Architecture: all
 Depends: info, ${misc:Depends}
 Conflicts: octave3.2-info
+Replaces: octave3.2-info
 Section: doc
 Description: GNU Info documentation on the GNU Octave language
  Octave is a (mostly Matlab (R) compatible) high-level language, primarily
@@ -105,9 +110,11 @@
  octave documentation which is needed for the 'help -i foo' command within
  Octave.
 
-Package: liboctave0
+Package: liboctave1
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Section: libs
 Description: Shared libraries of the GNU Octave language
  Octave is a (mostly Matlab (R) compatible) high-level language, primarily
@@ -118,11 +125,12 @@
 
 Package: liboctave-dev
 Architecture: any
-Depends: liboctave0 (= ${binary:Version}), octave (= ${binary:Version}), ${misc:Depends},
+Depends: liboctave1 (= ${binary:Version}), octave (= ${binary:Version}), ${misc:Depends},
  libreadline-dev | libreadline6-dev | libreadline5-dev, libncurses5-dev,
- libhdf5-serial-dev (>= 1.8.4), 
+ libhdf5-dev (>= 1.8.8), libgl1-mesa-dev | libgl-dev,
  libblas-dev (>=1.2-7), liblapack-dev (>=3.2.1-7), libfftw3-dev, gfortran, gcc, g++
 Conflicts: octave3.2-headers
+Replaces: octave3.2-headers
 Section: libdevel
 Description: Development files for the GNU Octave language
  Octave is a (mostly Matlab (R) compatible) high-level language, primarily
