=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
 Build-Depends: gfortran, debhelper (>= 9), automake, dh-autoreconf, texinfo,
  texlive-latex-base, texlive-generic-recommended, epstool, transfig, pstoedit,
  libreadline-dev | libreadline6-dev | libreadline5-dev,
- libncurses5-dev, gperf, libhdf5-dev (>= 1.8.8),
+ libncurses5-dev, gperf, libhdf5-serial-dev (>= 1.8.4) |
+ libhdf5-lam-dev (>= 1.8.4) | libhdf5-mpich-dev (>= 1.8.4) | libhdf5-openmpi-dev (>= 1.8.4),
  libblas-dev (>=1.2-7), liblapack-dev (>=3.2.1-7), gnuplot-nox, libfftw3-dev, texi2html,
- less, quilt, libpcre3-dev, flex, libglpk-dev (>= 4.15),
+ less, libpcre3-dev, flex, libglpk-dev (>= 4.15),
  libsuitesparse-dev (>= 1:3.2.0), gawk, ghostscript, libcurl4-gnutls-dev | libcurl4-dev,
  libqhull-dev, desktop-file-utils, libfltk1.1-dev, libgl2ps-dev,
  libgraphicsmagick++1-dev, libftgl-dev, libfontconfig1-dev,
- libqrupdate-dev, libarpack2-dev (>= 2.1+parpack96.dfsg-2), dh-exec,
+ libqrupdate-dev, libarpack2-dev (>= 2.1+parpack96.dfsg-2),
  dpkg-dev (>= 1.16.1)
 Standards-Version: 3.9.3
 Homepage: http://www.octave.org/
@@ -23,9 +24,8 @@
 
 Package: octave
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, texinfo, octave-common (= ${source:Version}),
- dpkg-dev (>= 1.16.0)
-Recommends: gnuplot, libatlas3gf-base
+Depends: ${shlibs:Depends}, ${misc:Depends}, texinfo, octave-common (= ${source:Version})
+Recommends: gnuplot-x11 | gnuplot-qt, libatlas3gf-base | libopenblas-base
 Suggests: octave-info,
  octave-doc,
  octave-htmldoc,
@@ -127,7 +127,9 @@
 Architecture: any
 Depends: liboctave1 (= ${binary:Version}), octave (= ${binary:Version}), ${misc:Depends},
  libreadline-dev | libreadline6-dev | libreadline5-dev, libncurses5-dev,
- libhdf5-dev (>= 1.8.8), libgl1-mesa-dev | libgl-dev,
+ libhdf5-serial-dev (>= 1.8.4) | libhdf5-lam-dev (>= 1.8.4) | libhdf5-mpich-dev (>= 1.8.4)
+ | libhdf5-openmpi-dev (>= 1.8.4),
+ libgl1-mesa-dev | libgl-dev,
  libblas-dev (>=1.2-7), liblapack-dev (>=3.2.1-7), libfftw3-dev, gfortran, gcc, g++
 Conflicts: octave3.2-headers
 Replaces: octave3.2-headers
