=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+
+# Needed by octave-common.links
+include /usr/share/dpkg/pkg-info.mk
+export DEB_VERSION_UPSTREAM
 
 %:
 	dh $@ --with autoreconf --parallel
@@ -29,12 +33,15 @@
 	mkdir -p debian/tmp/etc && cp debian/octave.conf debian/tmp/etc/
 	dh_auto_install --max-parallel=1
 
-# save debug information into the debug package and strip the executable bit
-# from the .oct files
-# The latter cannot be done in dh_fixperms, as then dh_strip doesn't take the
-# .oct files into account for debug information
+# save debug information into the debug package
 override_dh_strip:
 	dh_strip -a --dbg-package=octave-dbg
+
+# Strip the executable bit from the .oct files
+# Cannot be done in dh_fixperms, as then dh_strip and dh_shlibdeps don't take the
+# .oct files into account
+override_dh_shlibdeps:
+	dh_shlibdeps -O--parallel
 	find debian/octave -name '*.oct' -print0 2>/dev/null | xargs -0r chmod 644
 
 get-orig-source:
