=== debian/watch ===
version=3
http://ftpmirror.gnu.org/octave/octave-([\d\.]+)\.tar\.bz2
