=== debian/control ===
--- 
+++ 
@@ -3,21 +3,19 @@
 Priority: extra
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
+           Sébastien Villemot <sebastien@debian.org>
 Build-Depends: gfortran, debhelper (>= 9), automake, dh-autoreconf, texinfo,
  texlive-latex-base, texlive-generic-recommended, epstool, transfig, pstoedit,
  libreadline-dev | libreadline6-dev | libreadline5-dev,
- libncurses5-dev, gperf, libhdf5-serial-dev (>= 1.8.4) |
- libhdf5-lam-dev (>= 1.8.4) | libhdf5-mpich-dev (>= 1.8.4) | libhdf5-openmpi-dev (>= 1.8.4),
- libblas-dev (>=1.2-7), liblapack-dev (>=3.2.1-7), gnuplot-nox, libfftw3-dev, texi2html,
+ libncurses5-dev, gperf, libhdf5-dev (>= 1.8.8),
+ libblas-dev (>=1.2-7), liblapack-dev (>= 3.4.1-4), gnuplot-nox, libfftw3-dev, texi2html,
  less, libpcre3-dev, flex, libglpk-dev (>= 4.15),
  libsuitesparse-dev (>= 1:3.2.0), gawk, ghostscript, libcurl4-gnutls-dev | libcurl4-dev,
  libqhull-dev, desktop-file-utils, libfltk1.1-dev, libgl2ps-dev,
  libgraphicsmagick++1-dev, libftgl-dev, libfontconfig1-dev,
- libqrupdate-dev, libarpack2-dev (>= 2.1+parpack96.dfsg-2),
+ libqrupdate-dev, libarpack2-dev (>= 2.1+parpack96.dfsg-2), dh-exec,
  dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.octave.org/
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave.git
@@ -25,7 +23,7 @@
 Package: octave
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, texinfo, octave-common (= ${source:Version})
-Recommends: gnuplot-x11 | gnuplot-qt, libatlas3gf-base | libopenblas-base
+Recommends: gnuplot-x11 | gnuplot-qt, libatlas3-base | libopenblas-base
 Suggests: octave-info,
  octave-doc,
  octave-htmldoc,
@@ -127,8 +125,7 @@
 Architecture: any
 Depends: liboctave1 (= ${binary:Version}), octave (= ${binary:Version}), ${misc:Depends},
  libreadline-dev | libreadline6-dev | libreadline5-dev, libncurses5-dev,
- libhdf5-serial-dev (>= 1.8.4) | libhdf5-lam-dev (>= 1.8.4) | libhdf5-mpich-dev (>= 1.8.4)
- | libhdf5-openmpi-dev (>= 1.8.4),
+ libhdf5-dev (>= 1.8.8) | libhdf5-openmpi-dev (>= 1.8.8) | libhdf5-mpich2-dev (>= 1.8.8),
  libgl1-mesa-dev | libgl-dev,
  libblas-dev (>=1.2-7), liblapack-dev (>=3.2.1-7), libfftw3-dev, gfortran, gcc, g++
 Conflicts: octave3.2-headers
