=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,10 @@
 	dh_shlibdeps -O--parallel
 	find debian/octave -name '*.oct' -print0 2>/dev/null | xargs -0r chmod 644
 
+# Latest version containing a backward-compatible API change (see policy 8.6.2)
+override_dh_makeshlibs:
+	dh_makeshlibs -V 'liboctave1 (>= 3.6.2)'
+
 get-orig-source:
 	uscan --force-download --rename --destdir .
 .PHONY: get-orig-source
