## octave 3.6.4

=== debian/changelog ===
octave (3.6.4-3) unstable; urgency=low

  * gcc-4.8.diff: new patch, fixes compilation of C++ MEX files with GCC 4.8
    (Closes: #705485)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 29 May 2013 14:52:45 +0200

octave (3.6.4-2) unstable; urgency=low

  * Adapt for Texinfo 5
    - add_info_dir_categories: use @dircategory in the patch
    - texinfo5.diff: new patch, fixes compatibility issues with Texinfo 5
  * Upgrade to FLTK 1.3

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 14 May 2013 12:42:41 +0200

octave (3.6.4-1) experimental; urgency=low

  * Imported Upstream version 3.6.4
  * debian/copyright: add missing information about Fortran files
  * Remove patches applied upstream:
    + rcond.patch
    + fix-sparse-unit-testing.patch
  * Refresh other patches
  * Tighten dependency of octave on liboctave1 (Closes: #691311)
  * Recommend pstoedit (needed by plot/print.m)
  * contourc-stack-overflow.diff: new patch, fixes segfault in contourc
    (Closes: #695434)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 23 Feb 2013 19:35:40 +0100
