=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libblas-dev (>=1.2-7), liblapack-dev (>= 3.4.1-4), gnuplot-nox, libfftw3-dev, texi2html,
  less, libpcre3-dev, flex, libglpk-dev (>= 4.15),
  libsuitesparse-dev (>= 1:3.2.0), gawk, ghostscript, libcurl4-gnutls-dev | libcurl4-dev,
- libqhull-dev, desktop-file-utils, libfltk1.1-dev, libgl2ps-dev,
+ libqhull-dev, desktop-file-utils, libfltk1.3-dev, libgl2ps-dev,
  libgraphicsmagick++1-dev, libftgl-dev, libfontconfig1-dev,
  libqrupdate-dev, libarpack2-dev (>= 2.1+parpack96.dfsg-2), dh-exec,
  dpkg-dev (>= 1.16.1)
@@ -22,8 +22,10 @@
 
 Package: octave
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, texinfo, octave-common (= ${source:Version})
-Recommends: gnuplot-x11 | gnuplot-qt, libatlas3-base | libopenblas-base
+Depends: ${shlibs:Depends}, ${misc:Depends}, texinfo, octave-common (= ${source:Version}),
+         liboctave1 (= ${binary:Version})
+Recommends: gnuplot-x11 | gnuplot-qt, libatlas3-base | libopenblas-base,
+ pstoedit
 Suggests: octave-info,
  octave-doc,
  octave-htmldoc,
