## octave 3.8.1

=== debian/changelog ===
octave (3.8.1-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Disable JIT on all archs to fix LLVM library conflicts. (LP: #1293876)
    - Adjust octave breaks to the versions found in trusty.

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 12 Apr 2014 00:12:03 +0200

octave (3.8.1-1) unstable; urgency=medium

  * Imported Upstream version 3.8.1
    + libgui/src/main-window.cc: Fix problems with gui startup and focus issues
      (Closes: #738672)
    + scripts/pkg/private/fix_depends.m: Fix installing packages where
      dependency name contains '-' (Closes: #740984)
  * debian/copyright: reflect upstream changes.
  * octave.postinst: remove workaround for #681064 (package dir re-creation).
    (Closes: #681461)
  * Remove patches applied upstream:
    + doc-compressed-info.diff
    + kfreebsd_tcgetattr.diff
    + octave-cli-manpage.diff
    + save-uint8-in-text-format.diff
  * mkoctfile is now an executable binary instead of a shell script.
    + mkoctfile-mpi.diff: adapt for new format of mkoctfile.
    + d/control: add shlibs:Depends to liboctave-dev.
  * Fix statement about the GUI in NEWS.Debian.
  * debian/control: don't mention the FAQ in descriptions, it has been removed.
  * Adapt to the fact that JIT is now disabled by default in ./configure script.
  * Disable JIT on hurd-i386, LLVM not available there.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 10 Mar 2014 17:32:29 +0100

octave (3.8.0-5ubuntu6) trusty; urgency=medium

  * Disable JIT on all archs to fix LLVM library conflicts. (LP: #1293876)

 -- Mike Miller <mtmiller@debian.org>  Mon, 07 Apr 2014 11:19:12 -0500

octave (3.8.0-5ubuntu5) trusty; urgency=medium

  * Fix installing packages where dependency name contains '-'. (LP: #1288136)

 -- Mike Miller <mtmiller@debian.org>  Mon, 10 Mar 2014 09:11:34 -0400

octave (3.8.0-5ubuntu4) trusty; urgency=medium

  * Build again with default optimization on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Feb 2014 16:39:01 +0100

octave (3.8.0-5ubuntu3) trusty; urgency=medium

  * Fix CFLAGS/CXXFLAGS thinko in debian/rules for -O3 mangling.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 26 Feb 2014 03:44:16 -0700

octave (3.8.0-5ubuntu2) trusty; urgency=medium

  * Adjust octave breaks to the versions found in trusty.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Feb 2014 10:19:57 +0100

octave (3.8.0-5) unstable; urgency=medium

  * Re-enable java on amd64, i386 and mips (was disabled by mistake).
  * Ensure that octave-common always contains octave.jar.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 25 Feb 2014 20:41:26 +0100

octave (3.8.0-4ubuntu2) trusty; urgency=medium

  * Use llvm-3.3 explicity, octave is not ready for 3.4.
  * Disable the jit on arm64, which only has llvm-3.4.
  * Build using -O2 on ppc64el to work around an ICE.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 13:17:20 +0100

octave (3.8.0-4ubuntu1) trusty; urgency=medium

  * Do not use llvm-dev on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 12:34:06 +0100

octave (3.8.0-4) unstable; urgency=medium

  * Disable java on kfreebsd-* and sparc. Fixes FTBFS on those archs.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 21 Feb 2014 14:09:30 +0100

octave (3.8.0-3) unstable; urgency=medium

  * Upload to unstable.
  * No longer set pkg prefix in /etc/octave.conf. (Closes: #536839)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 19 Feb 2014 22:17:24 +0100

octave (3.8.0-2) experimental; urgency=medium

  [ Mike Miller ]
  * Disable Java on mipsel, using openjdk causes bus error.
  * Disable Java on hurd-i386.

  [ Rafael Laboissiere ]
  * save-uint8-in-text-format.diff: new patch, fixes saving int8 and uint8 in
    plain text format (Closes: #732659)
  * Make octave break an explicit list of packages instead of liboctave1.
    Adding a Breaks on liboctave1 breaks upgrades from octave 3.6, because of
    #671711.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 Jan 2014 20:49:20 +0100

octave (3.8.0-1) experimental; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 3.8.0
    + octave-gui is no longer shipped in /usr/bin.
  * Run testsuite within Xvfb, to avoid failures due to lack of DISPLAY.
  * dblquad-s390x.diff: new patch, fixes FTBFS on s390x.
  * Indicate that octave breaks liboctave1.
    A package compiled against liboctave1 can not be used with the octave 3.8
    interpreter.
  * Disable JIT on armel, armhf, mips, mipsel, powerpc. Should fix FTBFS
    on these archs.

  [ Mike Miller ]
  * debian_missing_handler.m: Fix liboctave-dev package name.
  * Build-depend on javahelper, use to configure default Java paths.
  * doc-compressed-info.diff: Add patch from upstream.
    Fixes the doc command to work correctly with compressed info files.
  * kfreebsd_tcgetattr.diff: new patch, fixes FTBFS on kFreeBSD.
  * hurd_path_max.diff: new patch, fixes FTBFS on Hurd.

  [ Rafael Laboissiere ]
  * Add Lintian override file for dh-exec-subst-unknown-variable warning
  * New patch patches/octave-cli-manpage.diff: Add manpage for
    octave-cli (taken from the upstream SCM repository).

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 08 Jan 2014 13:45:32 +0100

octave (3.8.0~rc2-1) experimental; urgency=medium

  * Imported Upstream version 3.8.0~rc2
  * missing-example.diff: drop patch, no longer needed.
  * debian/rules: fix binary-arch rule.
  * Consolidate all patches relative to dropping version numbers in binaries.
    The new consolidated patch is drop_versioned_binaries.diff.
    Also drops versions numbers in calls from src/main.in.cc.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 22 Dec 2013 13:33:58 +0100

octave (3.8.0~rc1-1) experimental; urgency=medium

  [ Sébastien Villemot ]
  * New upstream release candidate, which fixes the following bugs:
     - Function pkg.m works correctly when promoting warnings to errors
       (Closes: #693873)

