=== debian/control ===
--- 
+++ 
@@ -1,36 +1,84 @@
 Source: octave
 Section: math
-Priority: extra
-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
 Build-Depends: gfortran, debhelper (>= 9), automake, dh-autoreconf, texinfo,
  texlive-latex-base, texlive-generic-recommended, epstool, transfig, pstoedit,
- libreadline-dev | libreadline6-dev | libreadline5-dev,
+ libreadline-dev, xauth, xvfb,
  libncurses5-dev, gperf, libhdf5-dev (>= 1.8.8),
- libblas-dev (>=1.2-7), liblapack-dev (>= 3.4.1-4), gnuplot-nox, libfftw3-dev, texi2html,
+ libblas-dev (>=1.2-7), liblapack-dev (>= 3.4.1-4), gnuplot-nox, libfftw3-dev,
  less, libpcre3-dev, flex, libglpk-dev (>= 4.15),
  libsuitesparse-dev (>= 1:3.2.0), gawk, ghostscript, libcurl4-gnutls-dev | libcurl4-dev,
  libqhull-dev, desktop-file-utils, libfltk1.3-dev, libgl2ps-dev,
  libgraphicsmagick++1-dev, libftgl-dev, libfontconfig1-dev,
  libqrupdate-dev, libarpack2-dev (>= 2.1+parpack96.dfsg-2), dh-exec,
- dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.4
+ dpkg-dev (>= 1.16.1),
+ default-jdk, libqscintilla2-dev, libxft-dev, javahelper
+Standards-Version: 3.9.5
 Homepage: http://www.octave.org/
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave.git
 
 Package: octave
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, texinfo, octave-common (= ${source:Version}),
-         liboctave1 (= ${binary:Version})
+         liboctave2 (= ${binary:Version}),
+         default-jre-headless [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !mipsel !sparc]
 Recommends: gnuplot-x11 | gnuplot-qt, libatlas3-base | libopenblas-base,
  pstoedit
 Suggests: octave-info,
  octave-doc,
  octave-htmldoc,
-Conflicts: octave3.2
-Replaces: octave3.2
+Conflicts: octave3.2, octave-java
+Replaces: octave3.2, octave-java
+Breaks: libsbml5-octave (<= 5.8.0-2),
+  octave-audio (<= 1.1.4-4),
+  octave-biosig (<= 1.3.0-2),
+  octave-communications (<= 1.2.0-1),
+  octave-control (<= 2.6.2-1),
+  octave-econometrics (<= 1:1.1.1-2),
+  octave-gdf (<= 0.1.2-2),
+  octave-general (<= 1.3.2-2),
+  octave-geometry (<= 1.7.0-1),
+  octave-gmt (<= 4.5.11-1),
+  octave-gsl (<= 1.0.8-5),
+  octave-image (<= 2.0.0-3),
+  octave-io (<< 1.3),
+  octave-java (<= 1.2.9-2),
+  octave-lhapdf (<= 5.9.1-3),
+  octave-linear-algebra (<= 2.2.0-1),
+  octave-miscellaneous (<= 1.2.0-2),
+  octave-mpi (<= 1.1.1-1),
+  octave-nan (<= 2.5.9-1),
+  octave-nlopt (<= 2.4.1+dfsg-1),
+  octave-nurbs (<= 1.3.7-1),
+  octave-ocs (<= 0.1.3-1),
+  octave-octcdf (<= 1.1.6-1),
+  octave-octgpr (<= 1.2.0-3),
+  octave-odepkg (<= 0.8.4-1),
+  octave-openmpi-ext (<= 1.1.1-1),
+  octave-optim (<= 1.2.2-2),
+  octave-optiminterp (<= 0.3.4-1),
+  octave-parallel (<= 2.2.0-1),
+  octave-pfstools (<= 1.8.5-1),
+  octave-plplot (<= 5.9.9-5),
+  octave-psychtoolbox-3 (<= 3.0.11.20131230.dfsg1-1),
+  octave-quaternion (<= 2.2.0-1),
+  octave-secs2d (<= 0.0.8-4),
+  octave-signal (<= 1.2.2-1),
+  octave-sockets (<= 1.0.8-1),
+  octave-specfun (<= 1.1.0-1),
+  octave-strings (<= 1.1.0-1),
+  octave-struct (<= 1.0.10-1),
+  octave-sundials (<= 2.5.0-3),
+  octave-symbolic (<= 1.1.0-2),
+  octave-tsa (<= 4.2.7-1),
+  octave-vlfeat (<= 0.9.17+dfsg0-6),
+  sdpam (<= 7.3.9+dfsg-1),
+  dynare (<= 4.4.1-1)
 Description: GNU Octave language for numerical computations
  Octave is a (mostly Matlab (R) compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
@@ -40,6 +88,7 @@
 
 Package: octave-dbg
 Section: debug
+Priority: extra
 Architecture: any
 Depends: octave (=${binary:Version}), ${misc:Depends}
 Description: Debug symbols for octave
@@ -74,10 +123,10 @@
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
- This package provides the following documentation in PDF format:
- the FAQ, a reference card in a4, letter and legal formats, a document on the
- C++ classes used by Octave, as well as the main octave documentation which
- is also included in info format in the octave-info package.
+ This package provides the following documentation in PDF format: a reference
+ card in a4, letter and legal formats, a document on the C++ classes used by
+ Octave, as well as the main octave documentation which is also included in
+ info format in the octave-info package.
 
 Package: octave-htmldoc
 Architecture: all
@@ -89,10 +138,9 @@
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
- This package provides the following documentation in html format:
- the FAQ, a document on the C++ classes used by Octave, as well as the main
- octave documentation which is also included in info format in the main
- Octave package.
+ This package provides the following documentation in html format: a document
+ on the C++ classes used by Octave, as well as the main octave documentation
+ which is also included in info format in the main Octave package.
 
 Package: octave-info
 Architecture: all
@@ -105,12 +153,11 @@
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
- This package provides the following documentation in info format:
- the FAQ, a document on the C++ classes used by Octave, as well as the main
- octave documentation which is needed for the 'help -i foo' command within
- Octave.
+ This package provides the following documentation in info format: a document
+ on the C++ classes used by Octave, as well as the main octave documentation
+ which is needed for the 'help -i foo' command within Octave.
 
-Package: liboctave1
+Package: liboctave2
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -125,7 +172,8 @@
 
 Package: liboctave-dev
 Architecture: any
-Depends: liboctave1 (= ${binary:Version}), octave (= ${binary:Version}), ${misc:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ liboctave2 (= ${binary:Version}), octave (= ${binary:Version}),
  libreadline-dev | libreadline6-dev | libreadline5-dev, libncurses5-dev,
  libhdf5-dev (>= 1.8.8) | libhdf5-openmpi-dev (>= 1.8.8) | libhdf5-mpich2-dev (>= 1.8.8),
  libgl1-mesa-dev | libgl-dev,
