=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,34 @@
 
 # Needed by octave-common.links
 include /usr/share/dpkg/pkg-info.mk
+DEB_VERSION_UPSTREAM := $(subst ~rc,-rc,$(DEB_VERSION_UPSTREAM))
 export DEB_VERSION_UPSTREAM
+
+# Configure default Java paths using javahelper except on some archs.
+# hurd-i386, kfreebsd-* and sparc have gcj as default, which cause either
+# a compilation failure (hurd-i386) or a test failure (other archs).
+# On mipsel java unit tests calling openjdk-7 cause a bus error at runtime.
+# This arch list must be kept in sync with the arch list qualifying
+# default-jre in debian/control (note: we always want default-jdk in
+# build deps because it is needed for octave-common, see
+# debian/patches/always-build-octave-jar.patch).
+include /usr/share/dpkg/architecture.mk
+NO_JDK_ARCHS := hurd-i386 kfreebsd-amd64 kfreebsd-i386 mipsel sparc
+ifneq (,$(filter $(DEB_HOST_ARCH),$(NO_JDK_ARCHS)))
+WITH_JAVA_FLAGS := --disable-java
+else
+include /usr/share/javahelper/java-vars.mk
+JAVA_LIBDIR := $(firstword $(JVM_CLIENT_DIR) $(JVM_SERVER_DIR))
+WITH_JAVA_FLAGS := --with-java-homedir=$(JAVA_HOME) --with-java-libdir=$(JAVA_LIBDIR)
+endif
+
+# Enable the JIT on some archs. On other archs, either LLVM is unavailable, or
+# JIT unit tests currently segfault. This arch list must be kept in sync with
+# the arch list qualifying llvm-dev in debian/control.
+JIT_ARCHS := 
+ifneq (,$(filter $(DEB_HOST_ARCH),$(JIT_ARCHS)))
+JIT_FLAG := --enable-jit
+endif
 
 %:
 	dh $@ --with autoreconf --parallel
@@ -18,9 +45,12 @@
 	dh clean --with autoreconf
 
 # override normal dh_auto_configure call to pass OpenMP flag to it (#631831)
-# and while we are at it, disable the rpath (thanks lintian)
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-openmp --disable-rpath
+	dh_auto_configure -- --enable-openmp $(WITH_JAVA_FLAGS) $(JIT_FLAG)
+
+# dh_auto_test tries to run "make test", so override it
+override_dh_auto_test:
+	xvfb-run make check
 
 # override normal dh_compress call to avoid compressing .pdf files
 override_dh_compress:
@@ -32,6 +62,18 @@
 	# Smuggle our configuration file into the installed files
 	mkdir -p debian/tmp/etc && cp debian/octave.conf debian/tmp/etc/
 	dh_auto_install --max-parallel=1
+	# Delete .la files (for liboctgui)
+	find debian/tmp -name '*.la' -delete
+
+# The info files have references to .png images
+# Rename them by prefixing their name with "octave-", adapt the *.info files to
+#  this new name, and ship the images under /usr/share/info
+override_dh_installinfo-indep:
+	dh_installinfo
+	for f in `grep -a src=\".*\" doc/interpreter/*.info* | sed 's/.*src="\([^"]*\)".*/\1/'`; do \
+		cp doc/interpreter/$$f debian/octave-info/usr/share/info/octave-$$f; \
+		sed -i "s/src=\"$$f\"/src=\"octave-$$f\"/g" debian/octave-info/usr/share/info/octave.info*; \
+	done
 
 # save debug information into the debug package
 override_dh_strip:
@@ -44,10 +86,6 @@
 	dh_shlibdeps -O--parallel
 	find debian/octave -name '*.oct' -print0 2>/dev/null | xargs -0r chmod 644
 
-# Latest version containing a backward-compatible API change (see policy 8.6.2)
-override_dh_makeshlibs:
-	dh_makeshlibs -V 'liboctave1 (>= 3.6.2)'
-
 get-orig-source:
 	uscan --force-download --rename --destdir .
 .PHONY: get-orig-source
