=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ http://ftpmirror.gnu.org/octave/octave-([\d\.]+)\.tar\.bz2
